LibreOffice LibreOffice 6.1 SDK API Reference

Modules | Variables
GeneralFunction2.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::GeneralFunction2
| used to specify a function to be calculated from values.

## Variables
const short | NONE = 0
| nothing is calculated. More...
const short | AUTO = 1
| function is determined automatically. More...
const short | SUM = 2
| sum of all numerical values is calculated. More...
const short | COUNT = 3
| all values, including non-numerical values, are counted. More...
const short | AVERAGE = 4
| average of all numerical values is calculated. More...
const short | MAX = 5
| maximum value of all numerical values is calculated. More...
const short | MIN = 6
| minimum value of all numerical values is calculated. More...
const short | PRODUCT = 7
| product of all numerical values is calculated. More...
const short | COUNTNUMS = 8
| numerical values are counted. More...
const short | STDEV = 9
| standard deviation is calculated based on a sample. More...
const short | STDEVP = 10
| standard deviation is calculated based on the entire population. More...
const short | VAR = 11
| variance is calculated based on a sample. More...
const short | VARP = 12
| variance is calculated based on the entire population. More...
const short | MEDIAN = 13
| median of all numerical values is calculated. More...